Bug 740861 - irqbalance system lockup
Summary: irqbalance system lockup
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: irqbalance
Version: 6.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Petr Holasek
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 767187
TreeView+ depends on / blocked
 
Reported: 2011-09-23 15:07 UTC by Davy Stevens
Modified: 2016-10-04 04:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-13 11:42:26 UTC


Attachments (Terms of Use)

Description Davy Stevens 2011-09-23 15:07:01 UTC
Description of problem:

When the irqbalance service is started within our new Intel SandyBridge-based servers with an amd64 kernel, the system hard locks up within 30 seconds.

Version-Release number of selected component (if applicable):

irqbalance-0.55-29.el6.x86_64.rpm

How reproducible:

Steps to Reproduce:
1.  Boot system with 64-bit kernel.
2.  Start Redhat-provided irqbalance service.
  
Actual results:

The system locks up within 30 seconds.  "Locked up" means that the system no longer accepts keyboard input, the system drops all network responsiveness and the server is no longer accessible until the hardware of the system is reset.

This error message appears to print continually while the system is locked up:
No irq handler for vector (irq -1)

Expected results:

Working system that continues to stay stable.

Additional info:

This issue can be resolved immediately by retrieving the latest version of irqbalance from http://irqbalance.org/download.html (irqbalance-0.56.tar.bz2) compiling the software in the same server and supplanting the Redhat provided irqbalance binary with the newly compiled binary.

Please let me know if any hardware information is needed.  I have the systems running and can provide any information necessary.  Thanks in advance for your assistance.

Comment 2 RHEL Product and Program Management 2011-09-23 15:39:37 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 4 Petr Holasek 2011-11-03 11:08:26 UTC
Hi Davy,

could you please specify your HW? I've been not able to reproduce it.
Outputs of 'dmidecode' and 'lspci -v' would be sufficient.

Thanks,
Petr H

Comment 5 Petr Holasek 2011-12-13 11:42:26 UTC
CLOSED as INSUFFICIENT_DATA. If the problem would be still here, feel free to reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.